VIPS(1)

NAME
vips - run vips function from UNIX command line

SYNOPSIS
vips [flags] [command] [args]

DESCRIPTION
vips is the VIPS universal main program. You can use it to run any VIPS function from the UNIX command line, to query the VIPS function database, and to maintain parts of the VIPS library. To run a VIPS function, the first argument should be the name of the function and following arguments should be the function parameters. For example:
  example% vips im_invert lena.v lena2.v To query the VIPS function database, use "-help", then the name of a function or a package. For example:
  example% vips -help
  "-help flags" for a list of flags available
  "-help <package name>" for a list of commands in package
  where <package name> is one of:
    arithmetic (31 functions)
    boolean (8 functions)
    colour (24 functions)
    ... etc
    relational (13 functions)
  "-help all" for a list of all commands in all packages
  "-help <command>" for an explanation of a command
  example% vips -help arithmetic
  functions available in package "arithmetic":
  im_abs - absolute value
  im_acostra - acos of image (result in degrees)
  ... etc
  im_stats - many image statistics in one pass
  im_tantra - tan of image (angles in degrees)
  example% vips -help im_abs
  vips: args: in out
  where:
    in is of type "image"
    out is of type "image"
  absolute value, from package "arithmetic"
  flags: (PIO function) (no coordinate transformation)
  example%

OPTIONS

-help
    simple built-in help system can give information on arguments to the vips program, on argumets to any VIPS function, or a listing of the functions available.

-plugin <file name>
    Add commands in file to those normally available. Plugins are searched before the main VIPS function database, letting you override standard VIPS functions.

-links
    Print "ln -s" lines for all VIPS functions. Used to build the VIPS bin area.

-ip <package name>
    Print ip macros for the functions in the named package. Used to build the ip menu system.

-c++ <package name/function name/all>
    Print C++ bindings for a function, for a package, or for all functions. Used to build the VImage class.

RETURN VALUE
returns 0 on success and non-zero on error.

SEE ALSO
header(1)

COPYRIGHT
The National Gallery and Birkbeck College, 1989-1996.